{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
<!-- {% load crispy_forms_tags%}  -->
{% load widget_tweaks%}


{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
   <div class="row align-items-center py-3">
      <div class="col-lg-8 col-xl-9 text-center text-lg-left">
         <h5 class="mb-3"><strong>CONTROL - LISTAR UNIDAD <i class="fa fa-lg fa-users-viewfinder ml-3"></i> </strong>
         </h5>
      </div>
      <div class="col-lg-4 col-xl-3 d-none d-lg-block text-right pr-5">
         <a href="/unidad/agregar"><button type="button" class="btn btn-lg btn-round btn-outline-primary mb-0"><i
                  class="fas fa-plus"></i>Agregar </button></a>
      </div>
   </div>
   {% if mensaje%}
   {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
   <div class="alert alert-danger" role="alert"></div>
   {% elif message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
   <div class="alert alert-success" role="alert"></div> 
   {% else %}
   <div class="alert alert-{{tipo}}" role="alert">{% endif %}
      {% if messages %}
      <ul class="messages">
         {% for message in messages %}
         <li{% if message.tags %} class="{{ message.tags }}" {% endif %}>
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
            <i class="fa fa-{{ icon }}"></i>{{ message }}
            </li>
            {% endfor %}
      </ul>
      {% endif %}
      <i class="fa fa-{{icon}}"></i> {{mensaje}}
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
         <span aria-hidden="true">&times;</span>
      </button>
   </div>
   {% endif %}

   <div class="row mt-0">
      <div class="col-sm-12 pr-4">
         <!--Striped table-->
         <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2">
            <div class="table-responsive">
               <table class="table table-striped" id="table">
                  <thead>
                     <tr>
                        <th>#</th>
                        <th>Codigo </th>
                        <th>Nombre</th>
                        <th>ext.</th>
                        <th>Telefono</th>
                        <th>Correo</th>
                        <th>Establecido</th>
                        <th>Activo</th>
                        <th>Creador</th>
                        <th>Modificado</th>
                        <th class="centrado" colspan="2">Opciones</th>
                     </tr>
                  </thead>
                  <tbody>
                     {% for u in uni %}
                     <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ u.codigo }}</td>
                        <td>{{ u.nombre }}</td>
                        <td>{{ u.extension }}</td>
                        <td>{{ u.tel_fijo }}</td>
                        <td>{{ u.correo }}</td>
                        <td>{{ u.en_funcionamiento_anio }}</td>
                        {% if  u.en_funcionamiento == 1 %}
                        <td><i class="fa fa-circle-check text-success"></i></td>
                        {% else %}
                        <td> <i class="fa-solid fa-circle-xmark text-danger"></i> </td>
                        {% endif %}
                        <td>{{ u.usuario_creador }}</td>
                        {% if u.usuario_modifico != null %}
                        <td class="centrado"><i class="fa-regular fa-square-check"></i> {{ u.fecha_modificacion }} </td>
                        {% else %}
                        <td class="centrado"><i class="fa-regular fa-square"></i></td>
                        {% endif %}
                        <td class="centrado"><a href="edicion/{{u.id}}"
                              class="btn btn-sm btn-round btn-block btn-info"><i class="fa-solid fa-pencil"></i></a>
                        </td>
                        <td class="centrado"><a href="individual/{{u.id}}"
                              class="btn btn-sm btn-round btn-block btn-primary"><i class="fa-solid fa-eye"></i></i></a>
                        </td>
                        <!-- <td class="centrado"><a href="eliminar/{{u.id}}" class="btn btn-sm btn-round btn-block btn-danger btnEliminacion text-white"><i class="fa-solid fa-trash"></i></a></td> -->
                     </tr>
                     {% endfor %}
                  </tbody>
               </table>
            </div>
         </div>
         <!--/Striped table-->
      </div>
   </div>
   <!--GO TO THE TOP-->
   <div class="go-to-top go-top-fadeInRight">
      <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
   </div>
</div>

{% block js%}
<script>
   $('#table').DataTable();
</script>
{% endblock %}

{% include "general/footer.html" %}
{%endblock%}